/* pcrc.c                                                  vi:se ts=8 sw=8: */

#include <stddef.h>

unsigned long pcrcsum(unsigned long crc, const unsigned char *src, 
	size_t count, unsigned long (*tab)[256])
{
	while (count--)
		crc = crc >> 8 ^ (*tab)[(crc ^ *src++) & 0xFF];
	return crc;
}

